local anim_folder = ModPath .. "anims/" 
local anims = {
	"macarena_dance",
	"swing_dance",
	"twerk_dance",
	"jazz_dance",
	"thriller"
}

local processed_anims = {}
for _, anim_name in ipairs(anims) do
	local anim = SMDReader:parse_file( anim_folder .. anim_name .. ".smd")

	anim:smd_to_diesel();

	processed_anims[anim_name] = anim
end

Hooks:PostHook(MenuArmourBase, "init", "Tester_Init", function( self, unit, update_enabled )
	local random_anim = anims[math.random(#anims)]

	self:add_smd_animation(random_anim, processed_anims[random_anim])
	self:play_smd_animation(random_anim, true)
end)